Inhalte

# Funktion Abs

Ermittelt den Absolutwert eines numerischen Ausdrucks.

## Syntax:

    Abs (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Ein beliebiger numerischer Ausdruck, dessen Absolutwert (Betrag) Sie zurückgeben möchten. Positive Zahlen einschließlich 0 werden unverändert zurückgegeben, negative Zahlen jedoch in positive Zahlen umgewandelt.

Das folgende Beispiel verwendet die Funktion Abs, um die Differenz zweier Werte zu berechnen. Es ist unerheblich, welchen Wert Sie zuerst eingeben.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleDifference
    Dim siW1 As Single
    Dim siW2 As Single
        siW1 = Int(InputBox("Bitte geben Sie den ersten Betrag ein","Werteingabe"))
        siW2 = Int(InputBox("Bitte geben Sie den zweiten Betrag ein","Werteingabe"))
        Print "Die Differenz beträgt "; Abs(siW1 - siW2)
    End Sub